%global gem_name resque

Name: rubygem-%{gem_name}
Version: 1.25.1
Release: 1%{?dist}
Summary: A Redis-backed queueing system
Group: Development/Languages
License: MIT
URL: https://github.com/resque/resque
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(redis-namespace) => 1.2
Requires: rubygem(redis-namespace) < 2
Requires: rubygem(vegas) => 0.1.2
Requires: rubygem(vegas) < 0.2
Requires: rubygem(sinatra) >= 0.9.2
Requires: rubygem(multi_json) => 1.0
Requires: rubygem(multi_json) < 2
Requires: rubygem(mono_logger) => 1.0
Requires: rubygem(mono_logger) < 2
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

# The ruby(release) package already provides a usable Ruby interpreter.
# Filter the extra /usr/bin/ruby requirement here.
%global __requires_exclude ^/usr/bin/ruby$

%description
Resque is a Redis-backed Ruby library for creating background jobs, placing
those jobs on multiple queues, and processing them later.  Background jobs
can be any Ruby class or module that responds to perform. Your existing
classes can easily be converted to background jobs or you can create new
classes specifically to do work. Or, you can do both.
Resque is heavily inspired by DelayedJob and is comprised of three parts:
* A Ruby library for creating, querying, and processing jobs
* A Rake task for starting a worker which processes jobs
* A Sinatra app for monitoring queues, jobs, and workers.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Remove dependency on bundler
sed -e "/require 'bundler\/setup'/d" -i test/test_helper.rb

# Remove /usr/bin/env from shebang so RPM doesn't consider this a dependency
for f in bin/resque bin/resque-web; do
  sed -i 's|#!/usr/bin/env ruby|#!/usr/bin/ruby|' $f
done

# Remove developer-only file.
rm Rakefile
sed -i 's|"Rakefile",||g' %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
  testrb -Ilib test
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.markdown
%{_bindir}/resque
%{_bindir}/resque-web
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.md
%exclude %{gem_instdir}/test

%changelog
* Fri Nov 01 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.25.1-1
- Initial package
